# Record TUrlParts

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TUrlParts = record`

## Description

String version of TCefUrlParts

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_urlparts_t))

## Overview

### Fields

| `spec: ustring;`
| `scheme: ustring;`
| `username: ustring;`
| `password: ustring;`
| `host: ustring;`
| `port: ustring;`
| `origin: ustring;`
| `path: ustring;`
| `query: ustring;`
| `fragment: ustring;`

## Description

### Fields

| `spec: ustring;`
The complete URL specification.

| `scheme: ustring;`
Scheme component not including the colon (e.g., "http").

| `username: ustring;`
User name component.

| `password: ustring;`
Password component.

| `host: ustring;`
Host component. This may be a hostname, an IPv4 address or an IPv6 literal surrounded by square brackets (e.g., "[2001:db8::1]").

| `port: ustring;`
Port number component.

| `origin: ustring;`
Origin contains just the scheme, host, and port from a URL. Equivalent to clearing any username and password, replacing the path with a slash, and clearing everything after that. This value will be empty for non-standard URLs.

| `path: ustring;`
Path component including the first slash following the host.

| `query: ustring;`
Query string component (i.e., everything following the '?').

| `fragment: ustring;`
Fragment (hash) identifier component (i.e., the string following the '#').

Generated by PasDoc 0.16.0-snapshot.